# lustre-iokit.spec
%define name lustre-iokit
%define version 1.4.0
%define release 1

Summary: The Lustre IO-Kit is a collection of benchmark tools for a cluster with the Lustre file system.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
URL: http://wiki.whamcloud.com/
BuildRoot: /var/tmp/%{name}-%{version}-root
Provides: %{name} = %{version}
BuildArch: noarch
Requires: python > 2.2, sg3_utils

%description
This package includes five tools:
sgpdd-survey:
A test of the 'bare metal' performance, bypassing as much of the kernel as we can. Uses the sgp_dd utility.

obdfilter-survey
This survey can be run in 3 modes to test disk I/O including the filesystem,
network I/O, and disk I/O via the network.  The script does sequential I/O
with varying numbers of threads and objects (files) by using lctl::test_brw
to drive the echo_client connected to local or remote obdfilter instances,
or remote obdecho instances.

ost-survey
This survey tests the client-to-disk performance of individual OSTs, and
ranks then for comparison.

stats-collect
This script will collect IO stats on a defined set of nodes.

ior-survey:
A script to run the IOR benchmark. The latest version can be downloaded from http://www.llnl.gov/asci/purple/benchmarks/limited/ior/

mds-survey:
This survey tests the local metadata performance using the echo_client to drive
the MDD layer to perform operations. It is run with multiple threads (to
simulate MDT service threads) locally on the MDS node, and does not need Lustre
clients in order to run

%prep
%setup -qn %{name}-%{version}

%build
rm -fr $RPM_BUILD_ROOT
./configure --prefix=/usr
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
/usr/bin/ior-survey
/usr/bin/parse-ior
/usr/bin/libecho
/usr/bin/obdfilter-survey
/usr/bin/plot-obdfilter
/usr/bin/plot-ost
/usr/bin/ost-survey
/usr/bin/sgpdd-survey
/usr/bin/plot-sgpdd
/usr/bin/lstats.sh
/usr/bin/gather_stats_everywhere.sh
/usr/bin/config.sh
/usr/bin/mds-survey
%doc obdfilter-survey/README.obdfilter-survey
%doc ior-survey/README.ior-survey
%doc ost-survey/README.ost-survey
%doc mds-survey/README.mds-survey
%doc sgpdd-survey/README.sgpdd-survey
%doc stats-collect/README.lstats.sh


%changelog
* Fri Jan 13 2012 Minh Diep
- Added mds-survey
* Fri Dec 30 2011 Minh Diep
- WhamCloud release for bug fixes
* Tue Jul 24 2007 Cliff White
- Added stats-collect
* Mon Apr 9 2007 Cliff White
- Merged with existing, changed to .in format.
* Thu Oct 4 2006  Kalpak Shah
- Created the spec file.
